Bug 155102 - [patch] www/ikiwiki depends on /usr/bin/perl
Summary: [patch] www/ikiwiki depends on /usr/bin/perl
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Henrik Brix Andersen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-27 21:50 UTC by Anthony Low
Modified: 2011-03-01 21:33 UTC (History)
0 users

See Also:


Attachments
file.diff (424 bytes, patch)
2011-02-27 21:50 UTC, Anthony Low
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Low 2011-02-27 21:50:04 UTC
Various scripts in www/ikiwiki use the shebang line '#!/usr/bin/perl', which will fail if /usr/bin symlinks are not created for perl. I have submitted a bug to upstream to hopefully fix this in a future release.

Fix: The attached patch will adjust the scripts to use '#!/usr/bin/env -S perl' instead.

Patch attached with submission follows:
How-To-Repeat: cd /usr/ports/www/ikiwiki ; make
Comment 1 Edwin Groothuis freebsd_committer 2011-02-27 21:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->brix

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Anthony Low 2011-02-28 21:38:01 UTC
> Could you please test the following patch?


Thanks for the patch, it appears to work. However, I ran into an
unrelated issue: textproc/py-docutils is required to run ikiwiki
--setup. After installing the dependency, I can install ikiwiki and
create a new wiki just fine.

-- 
Anthony Low
Comment 3 dfilter service freebsd_committer 2011-03-01 21:29:46 UTC
brix        2011-03-01 21:29:11 UTC

  FreeBSD ports repository

  Modified files:
    www/ikiwiki          Makefile distinfo pkg-plist 
  Log:
  - Update to v3.20110225
  - Replace hardcoded #!/usr/bin/perl with actual path to perl [1]
  - Add PO4A knob to enable/disable installing localized wiki underlays [2]
  
  PR:             ports/155102 [1]
  Submitted by:   Anthony Low <shinji at pikopiko.org> [1], PaweÅ Wieczorek <wieczyk at gmail.com> [2]
  
  Revision  Changes    Path
  1.61      +21 -5     ports/www/ikiwiki/Makefile
  1.53      +2 -2      ports/www/ikiwiki/distinfo
  1.36      +243 -242  ports/www/ikiwiki/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Henrik Brix Andersen freebsd_committer 2011-03-01 21:30:16 UTC
State Changed
From-To: open->closed

Hi Anthony, 

Thank you for your report and verification, committed! 

The mentioned textproc/py-docutils problem is likely due to a plug-in 
enabled in your custom configuration file passed to ikiwiki 
--setup. If you believe this to be a general problem with the port 
please submit it as a separate PR.